Subject: bug#4422: diff-switches is a bad idea

From: Reuben Thomas <[email-masked]>
Date: Sun, 13 Sep 2009 13:18:03 +0100

I'm using Emacs 23, and I have just been puzzling over why vc-diff
stopped working in CVS checkouts. I eventually traced it to
diff-switches: I have mine set to "-Nur", quite reasonably, I think,
but of course "-r" means something quite different to CVS, and I ended
up with a hard-to-understand error message about tags.

I suggest not using diff-switches (this would also remove some
special-case code, as no other vc command respects a non-vc option
like this.) Yes, some users will have to configure the same thing in
two places, but others will be saved the confusion I had. For the
switches to be commoned up sensibly, a more structured approach to
setting them is needed that takes semantics into account, and that way
lies madness.

-- 
http://rrt.sc3d.org
Imagine someone who has only ever heard music once